- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Typedefs | Enumerations
Edje Part
Edje Object

Functions that deal with layout components. More...

## Modules
| Edje Text Part
| Functions that deal with parts of type text.
| Edje Swallow Part
| Functions that deal with parts of type swallow and swallowed objects.
| Edje Drag
| Functions that deal with dragable parts.
| Edje Box Part
| Functions that deal with parts of type box.
| Edje Table Part
| Functions that deal with parts of type table.

## Typedefs
typedef enum _Edje_Part_Type | Edje_Part_Type

## Enumerations
enum | _Edje_Part_Type { EDJE_PART_TYPE_NONE = 0, EDJE_PART_TYPE_RECTANGLE = 1, EDJE_PART_TYPE_TEXT = 2, EDJE_PART_TYPE_IMAGE = 3, EDJE_PART_TYPE_SWALLOW = 4, EDJE_PART_TYPE_TEXTBLOCK = 5, EDJE_PART_TYPE_GRADIENT = 6, EDJE_PART_TYPE_GROUP = 7, EDJE_PART_TYPE_BOX = 8, EDJE_PART_TYPE_TABLE = 9, EDJE_PART_TYPE_EXTERNAL = 10, EDJE_PART_TYPE_PROXY = 11, EDJE_PART_TYPE_SPACER = 12, EDJE_PART_TYPE_LAST = 13 }
#define | edje_obj_part_exists(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_EXISTS), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)
| Check if an Edje part exists in a given Edje object's group. More...
#define | edje_obj_part_object_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_OBJECT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const Evas_Object **, ret)
| Get a handle to the Evas object implementing a given Edje. More...
#define | edje_obj_part_geometry_get(part, x, y, w, h, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h), EO_TYPECHECK(Eina_Bool *, ret)
| Retrieve the geometry of a given Edje part, in a given Edje. More...
#define | edje_obj_access_part_list_get(ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_ACCESS_PART_LIST_GET), EO_TYPECHECK(Eina_List **, ret)
| Retrieve a list all accessibility part names. More...
Eina_Bool | edje_object_part_exists (const Evas_Object *obj, const char *part)
| Check if an Edje part exists in a given Edje object's group definition. More...
const Evas_Object * | edje_object_part_object_get (const Evas_Object *obj, const char *part)
| Get a handle to the Evas object implementing a given Edje part, in an Edje object. More...
Eina_Bool | edje_object_part_geometry_get (const Evas_Object *obj, const char *part, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Retrieve the geometry of a given Edje part, in a given Edje object's group definition, relative to the object's area More...
Eina_List * | edje_object_access_part_list_get (const Evas_Object *obj)
| Retrieve a list all accessibility part names. More...

## Detailed Description

Functions that deal with layout components.

Parts are layout components, but as a layout, they are objects too.

There are several types of parts, these types can be divided into two main categories, the first being containers. Containers are parts that are in effect a group of elements. The second group is that of the elements, these part types may not contain others.

This section has some functions specific for some types and others that could be applied to any type.

## Macro Definition Documentation

#define edje_obj_part_exists | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_EXISTS), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool *, ret)

Check if an Edje part exists in a given Edje object's group.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_exists

Referenced by edje_object_part_exists().

#define edje_obj_part_object_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_OBJECT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const Evas_Object **, ret)

Get a handle to the Evas object implementing a given Edje.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_object_get

Referenced by edje_object_part_object_get().

#define edje_obj_part_geometry_get | ( |  | part,
|  |  | x,
|  |  | y,
|  |  | w,
|  |  | h,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h), EO_TYPECHECK(Eina_Bool *, ret)

Retrieve the geometry of a given Edje part, in a given Edje.

Since
  1.8

Parameters

  [in] | part |
  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |
  [out] | ret |

See Also
  edje_object_part_geometry_get

Referenced by edje_object_part_geometry_get().

#define edje_obj_access_part_list_get | ( |  | ret | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_ACCESS_PART_LIST_GET), EO_TYPECHECK(Eina_List **, ret)

Retrieve a list all accessibility part names.

Since
  1.8

Parameters

  [out] | ret |

See Also
  edje_object_access_part_list_get

Referenced by edje_object_access_part_list_get().

## Enumeration Type Documentation

enum _Edje_Part_Type

Enumerator
EDJE_PART_TYPE_SPACER | Since 1.7

## Function Documentation

Eina_Bool edje_object_part_exists | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Check if an Edje part exists in a given Edje object's group definition.

Parameters

  obj | A handle to an Edje object
  part | The part's name to check for existence in `obj's` group

Returns
  `EINA_TRUE`, if the Edje part exists in `obj's` group or `EINA_FALSE`, otherwise (and on errors)

This function returns if a given part exists in the Edje group bound to object `obj` (with edje_object_file_set()).

This call is useful, for example, when one could expect or not a given GUI element, depending on the theme applied to `obj`.

Examples:
  edje-basic.c.

References edje_obj_part_exists, and EINA_FALSE.

const Evas_Object* edje_object_part_object_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Get a handle to the Evas object implementing a given Edje part, in an Edje object.

Parameters

  obj | A handle to an Edje object
  part | The Edje part's name

Returns
  A pointer to the Evas object implementing the given part, or `NULL` on failure (e.g. the given part doesn't exist)

This function gets a pointer of the Evas object corresponding to a given part in the `obj` object's group.

You should never modify the state of the returned object (with `evas_object_move()` or `evas_object_hide()` for example), because it's meant to be managed by Edje, solely. You are safe to query information about its current state (with `evas_object_visible_get()` or `evas_object_color_get()` for example), though.

Examples:
  edje-basic.c.

References edje_obj_part_object_get.

Eina_Bool edje_object_part_geometry_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Retrieve the geometry of a given Edje part, in a given Edje object's group definition, relative to the object's area

Parameters

  obj | A handle to an Edje object
  part | The Edje part's name
  x | A pointer to a variable where to store the part's x coordinate
  y | A pointer to a variable where to store the part's y coordinate
  w | A pointer to a variable where to store the part's width
  h | A pointer to a variable where to store the part's height

This function gets the geometry of an Edje part within its group. The `x` and `y` coordinates are relative to the top left corner of the whole `obj` object's area.

Note
  Use `NULL` pointers on the geometry components you're not interested in: they'll be ignored by the function.
  On failure, this function will make all non-`NULL` geometry pointers' pointed variables be set to zero.

Examples:
  edje-basic.c.

References edje_obj_part_geometry_get, and EINA_FALSE.

Eina_List* edje_object_access_part_list_get | ( | const Evas_Object * | obj | ) |

Retrieve a list all accessibility part names.

Parameters

  obj | A valid Evas_Object handle

Returns
  A list all accessibility part names on `obj`

Since
  1.7.0

References edje_obj_access_part_list_get.